%define major       0
%define libname     hztool
%define libnamedev  hztool-devel
%define develnamestatic  hztool-static-devel
%undefine _debugsource_packages

Name:           hztool
Version:        4.3.2
Release:        2%{?dist}
License:        GPLv2
Url:            http://www.hztool.fr
Source0:        https://hztool.hepforge.org/downloads/%{name}-4.3.2.tar.gz
Patch0:         patch-hztool-0.txt

Prefix: %{_prefix}
Summary:       Library of routines for MC to dat comparison
BuildRequires:  gcc-gfortran gcc-c++
BuildRequires:  tex(latex) ghostscript 
BuildRequires:    autoconf automake libtool 
%if %{?fedora}%{!?fedora:0} >= 31 || %{?rhel}%{!?rhel:0} == 7
BuildRequires: tex(moreverb.sty)
%endif

%description
HZTool is a library of routines which will allow you to reproduce an 
experimental result using the four-vector final state from Monte Carlo generators.

%prep
%setup -q
%patch0 -p0

%build
%if %{?fedora}%{!?fedora:0} >= 31
export FLAGS='-std=legacy -fallow-argument-mismatch -fallow-invalid-boz '
export FFLAGS='-std=legacy -fallow-argument-mismatch -fallow-invalid-boz '
export FCFLAGS='-std=legacy -fallow-argument-mismatch -fallow-invalid-boz ' 
#specific 
export MYFFLAGS='-std=legacy -fallow-argument-mismatch -fallow-invalid-boz '
MYFFLAGS='-std=legacy -fallow-argument-mismatch -fallow-invalid-boz -fno-automatic -fno-backslash -fbounds-check -fpic -ffixed-line-length-132 -Wl,-flat_namespace'
LDFLAGS=' '
%endif
autoreconf --force --install --verbose .

%if %{?fedora}%{!?fedora:0} >= 31 || %{?rhel}%{!?rhel:0} == 7
%configure 
%else
%configure --disable-docs
%endif

%install


%make_install
find $RPM_BUILD_ROOT -type f -name '*.la' -exec rm -f {} \;



%files -n %{libname}

%{_includedir}/%{name}/*
%{_libdir}/*
/usr/share/*

%changelog
* Sun Jan 24 2016 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de> 4.3.2-1
+ test